Bug 4221 - Possible root compromises via man/groff.
Possible root compromises via man/groff.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: man (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-07-27 10:01 EDT by Jason Costomiris
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-23 11:45:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Costomiris 1999-07-27 10:01:55 EDT
The RPMs for groff that come with RH 6.0 apply a patch,
groff-1.11-safer.patch, which removes the unsafe groff
commands.

It is possible that the unsafe commands could find their way
back in should the user decide to rebuild groff and not take
the time to kill the unsafe commands.  This situation can be
avoided by changing the /etc/man.config file.  The TROFF and
NROFF lines should be modified to include the -S flag,
indicating that the "safer" mode of groff should be used for
formatting man pages.
Comment 1 Preston Brown 1999-08-23 11:45:59 EDT
If someone rebuilds groff and introduces a security hole, then they
are putting themselves at risk.  adding the -S field to
/etc/man.config will only move the problem around -- other
applications / uses of groff will still have the hole.  This not truly
lead to better security.

We do not recommend that people rebuild packages unless they are very
sure they understand what they are doing.

Note You need to log in before you can comment on or make changes to this bug.